@keyframes fade {
	0% {
		opacity: 0;
		transform: translateY(-5%);
	}
	100% {
		opacity: 1;
	}
}

article {
	animation: fade 1s;

	@include lg {
		display: flex;
		flex-direction: row-reverse;
		align-items: center;
	}
}

.carousel {
	background: url('../images/pattern-bg.svg') center center/contain no-repeat;
	height: 33rem;
	display: flex;
	justify-content: center;
	align-items: center;

	@include lg {
		height: 70rem;
		min-width: 70rem;
	}
}

.image-tanya {
	background: url('../images/image-tanya.jpg') center center/cover;
	@extend %image;
}

.image-john {
	background: url('../images/image-john.jpg') center center/cover;
	@extend %image;
}

.buttons {
	position: absolute;
	bottom: calc(-4rem / 2);
	left: calc(50% - 8rem / 2);
	width: 8rem;
	height: 4rem;
	background: white;
	border-radius: 25px;
	display: flex;
	justify-content: center;
	align-items: center;

	@include lg {
		bottom: calc(-5.5rem / 2);
		left: calc(11.6rem / 2);
		width: 11.6rem;
		height: 5.5rem;
	}
}

.left-button {
	@extend %button;
	background: url('../images/icon-prev.svg') center center/25% no-repeat;

	@include lg {
		background: url('../images/icon-prev.svg') center center/23% no-repeat;
	}
}

.right-button {
	@extend %button;
	background: url('../images/icon-next.svg') center center/28% no-repeat;

	@include lg {
		background: url('../images/icon-next.svg') center center/24% no-repeat;
	}
}

.text-content {
	display: flex;
	flex-direction: column;
	align-items: center;
	position: relative;
	max-width: 42rem;
	margin: 0 auto;

	@include lg {
		display: unset;
		min-width: 61rem;
		margin-left: 10rem;
		margin-right: -16rem;
	}
}

.quote {
	background: url('../images/pattern-quotes.svg') center center/cover no-repeat;
	position: absolute;
	top: 1.5rem;
	left: calc(50% - 5rem / 2);
	width: 7rem;
	height: 5rem;

	@include lg {
		top: -2rem;
		left: 10rem;
		width: 12rem;
		height: 10rem;
	}
}

.citation {
	text-align: center;
	color: var(--primary);
	font-size: 1.9rem;
	line-height: 2.4rem;
	padding: 4rem 0 2rem 0;
	font-weight: var(--light);

	@include lg {
		text-align: unset;
		font-size: 3rem;
		line-height: 1.4;
	}
}

.author {
	font-weight: var(--bold);
	font-size: 1.6rem;
	padding-bottom: 0.2rem;

	@include lg {
		display: inline-block;
		font-size: 1.9rem;
	}
}

.job {
	font-weight: var(--medium);
	color: var(--secondary);
	font-size: 1.5rem;

	@include lg {
		display: inline-block;
		font-size: 1.9rem;
	}
}
